From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Eneas U de Queiroz <cote2004-github@yahoo.com>
Date: Thu, 27 Sep 2018 08:30:24 -0300
Subject: Add openwrt targets

Targets are named: linux-$(CONFIG_ARCH)-openwrt

Signed-off-by: Eneas U de Queiroz <cote2004-github@yahoo.com>

--- /dev/null
+++ b/Configurations/25-openwrt.conf
@@ -0,0 +1,56 @@
+## Openwrt "CONFIG_ARCH" matching targets.
+
+# The targets need to end in '-openwrt' for the AFALG patch to work
+
+my %targets = (
+    "openwrt" => {
+	template	=> 1,
+	CFLAGS		=> add("\$(OPENWRT_OPTIMIZATION_FLAGS)"),
+    },
+    "linux-aarch64-openwrt" => {
+        inherit_from    => [ "linux-aarch64", "openwrt" ],
+    },
+    "linux-arc-openwrt" => {
+        inherit_from    => [ "linux-latomic", "openwrt" ],
+    },
+    "linux-arm-openwrt" => {
+        inherit_from    => [ "linux-armv4", "openwrt" ],
+    },
+    "linux-armeb-openwrt" => {
+        inherit_from    => [ "linux-armv4", "openwrt" ],
+    },
+    "linux-i386-openwrt" => {
+        inherit_from    => [ "linux-x86", "openwrt" ],
+    },
+    "linux-mips-openwrt" => {
+        inherit_from    => [ "linux-mips32", "openwrt" ],
+    },
+    "linux-mips64-openwrt" => {
+        inherit_from    => [ "linux64-mips64", "openwrt" ],
+    },
+    "linux-mips64el-openwrt" => {
+        inherit_from    => [ "linux64-mips64", "openwrt" ],
+    },
+    "linux-mipsel-openwrt" => {
+        inherit_from    => [ "linux-mips32", "openwrt" ],
+    },
+    "linux-powerpc-openwrt" => {
+        inherit_from    => [ "linux-ppc", "openwrt" ],
+    },
+    "linux-powerpc64-openwrt" => {
+        inherit_from    => [ "linux-ppc64", "openwrt" ],
+        perlasm_scheme  => "linux64v2",
+    },
+    "linux-riscv64-openwrt" => {
+        inherit_from    => [ "linux-generic64", "openwrt" ],
+        perlasm_scheme   => "linux64",
+    },
+    "linux-x86_64-openwrt" => {
+        inherit_from    => [ "linux-x86_64", "openwrt" ],
+    },
+
+### Basic default option
+    "linux-generic32-openwrt" => {
+        inherit_from    => [ "linux-generic32", "openwrt" ],
+    },
+);
